# InitScript

## Get agent init script [#get-agent-init-script]

### Code samples [#code-samples]

```sh
# Example request using curl
curl -X GET http://coder-server:8080/api/v2/init-script/{os}/{arch}

```

`GET /api/v2/init-script/{os}/{arch}`

### Parameters [#parameters]

| Name   | In   | Type   | Required | Description      |
| ------ | ---- | ------ | -------- | ---------------- |
| `os`   | path | string | true     | Operating system |
| `arch` | path | string | true     | Architecture     |

### Responses [#responses]

| Status | Meaning                                                 | Description | Schema |
| ------ | ------------------------------------------------------- | ----------- | ------ |
| 200    | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | Success     |        |
